local CustomDecoration = ...

-- Register all stone gate set building parts and their properties
CustomDecoration:dofile("scripts/decoration.lua")

-- Register the stone gate set monument
CustomDecoration:register({
	DataType = "MONUMENT",
	Id = "CUSTOM_DECORATION_V1_MONUMENT",
	Name = "CUSTOM_DECORATION_V1_MONUMENT_NAME",
	Description = "CUSTOM_DECORATION_V1_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "CUSTOM_DECORATION_V1_STONE_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_SFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_PFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_ARROWSLIT_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_CHIMNEY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_TURRET_ROOT_PART",
		            "CUSTOM_DECORATION_V1_DOOR_A_ROOT_PART",
		            "CUSTOM_DECORATION_V1_DOOR_B_ROOT_PART"
                        }
                },
		{
			Name = "CUSTOM_DECORATION_V1_WOODEN_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_3_ROOT_PART"
                        }
                }                  
                  
	},
        IsEditable = true
})